# DCM/DFA Reporting And Trafficking API . userRolePermissionGroups

## Instance Methods

Gets one user role permission group by ID.

Gets a list of all supported user role permission groups.

### Method Details

`get(profileId, id)`

    Gets one user role permission group by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: string, User role permission group ID. (required)

    Returns:
      An object of the form:

        { # Represents a grouping of related user role permissions.
        "kind": "dfareporting#userRolePermissionGroup", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#userRolePermissionGroup".
        "id": "A String", # ID of this user role permission.
        "name": "A String", # Name of this user role permission group.
      }

`list(profileId)`

    Gets a list of all supported user role permission groups.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # User Role Permission Group List Response
        "userRolePermissionGroups": [ # User role permission group collection.
          { # Represents a grouping of related user role permissions.
            "kind": "dfareporting#userRolePermissionGroup", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#userRolePermissionGroup".
            "id": "A String", # ID of this user role permission.
            "name": "A String", # Name of this user role permission group.
          },
        ],
        "kind": "dfareporting#userRolePermissionGroupsListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#userRolePermissionGroupsListResponse".
      }